<'
package shr_spi3;

//Configuration Coverage
extend shr_spi3_agent_config_u {

   event start_of_test_event;

   cover start_of_test_event is {
   
      item numports using ignore =(numports > 16),
      	 ranges = {
	    range ([0..3]);
	    range ([4..8]);
	    range ([9..12]);
	    range ([13..16]);
	 };
            
      item mode;
      
      item xSX_mode;
      
      item interleave_length using 
            ranges = { 
                range([0..63]); 
		range([64..127]);  
                range([128..255]); 
		range([256..511]); 
                range([512..1023]); },
		ignore = (interleave_length > 1023);
      
      item parity;
      
//      item valid_cycles_after_ENB;
   
   };//cover start_of_test_event
   
   run() is also {
      emit start_of_test_event;
   };

};//extend shr_spi3_agent_config_u

'>
