<'
package shr_spi3;

unit shr_spi3_port_u like any_unit {

    mode        : shr_spi3_bus_mode_t;      // Narrow/wide bus mode configuration
    port_id     : int;                      // Port ID number
    data_avail  : bool;                     // Valid data available flag
    !cur_data   : list of shr_spi3_inport_bfmdata_s;             // Current (remaining) data bytes
    !recd_pkts  : list of shr_spi3_packet_s;
    port_direction : shr_spi3_port_direction;
    layer       : shr_spi3_layer_t;    

    event clock;
    event reset_end;
   
    keep data_avail == FALSE;               // Initially there is no data available

   get_bfm_data() : shr_spi3_inport_bfmdata_s is empty;
   
   event transfer_received;
   event pkt_received;
   
   collect_transfers_from_bfm()@transfer_received is empty;
};

'>
