<'
package shr_spi3;

sequence shr_spi3_port_data_sequence using
   item = shr_spi3_packet_s;

extend shr_spi3_port_u {
   port_driver : shr_spi3_port_data_sequence_driver is instance;
};

extend shr_spi3_port_data_sequence_driver {
   agent : shr_spi3_agent_u;
   keep agent == get_enclosing_unit(shr_spi3_agent_u);

   port : shr_spi3_port_u;    	             	      	       
     keep port == get_enclosing_unit(shr_spi3_port_u);
     
   direction : shr_spi3_port_direction;
   keep direction == port.port_direction;
   
   layer : shr_spi3_layer_t;
   keep layer == port.layer;

   connectors : list of any_unit;			// A list of units from which the TX sequence driver will "pull" from in order to fill in "trans" data.
   keep soft connectors.size() == 0;
   keep for each in connectors {
      soft it == NULL;
   };

   connector : any_unit;
   keep soft connector == NULL;
   
   get_item_bytes() : list of byte @sys.any is {

      if connector == NULL then {
      	 dut_error("PORT DATA SEQUENCE - Connector is NULL!!!  Configuration ERROR.");
      };

   };//get_item_bytes

};





'>
