<'
    
import spi3_top;
        
extend sys {
   // Settings for garbage collection
   setup() is also {
      set_config(memory,gc_threshold,       500M);
      set_config(memory,max_size,          2000M);  // from 1G 
      set_config(memory,absolute_max_size, 3000M);  // from 2G on 23/01/04
   };
};

extend TX LINK MAIN shr_spi3_bfm_data_sequence {

   keep count == MAX_UINT;
   keep sequence.kind == LAYERED_PAYLOAD;
};

extend RX LINK MAIN shr_spi3_bfm_data_sequence {
   keep count == MAX_UINT;
   keep sequence.kind == RANDOM_RX_LINK;
};

extend RX PHY MAIN shr_spi3_bfm_data_sequence {

   keep count == MAX_UINT;
   keep sequence.kind == LAYERED_PAYLOAD;

//   !datacycle : OUT shr_spi3_datacycle_s;
//   
//   body()@driver.clock is only {
//   
//      while TRUE {   
//      	 do datacycle keeping {
//      	    it.enable == 1;
//	    it.valid == 0;
//	    it.xfer_start == 0;
//      	 };
//      };//while TRUE
//   };//body
};

extend TX PHY MAIN shr_spi3_bfm_data_sequence {

   keep count == MAX_UINT;
   keep sequence.kind == DEFAULT_TX_PHY;

};


extend MAIN shr_spi3_port_data_sequence {
   keep count == 50;
};

extend MAIN shr_spi3_arbiter_sequence_s {
   keep count == MAX_UINT;
   keep sequence.kind == RR;
};

extend TX LINK shr_spi3_bfm_data_sequence_driver {
   keep bypass_sequence_driver == FALSE;
}; 

extend RX PHY shr_spi3_bfm_data_sequence_driver {
   keep bypass_sequence_driver == FALSE;
};  	 

extend sys {
   run() is also {
      // Add shortcut pointer to dut when available
   };  
};
'>
   
